proliant-tools: requires package net-tools for rhel image creation

Bug #1751777 reported by Anshul Jain on 2018-02-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
diskimage-builder
Undecided
Anshul Jain

Bug Description

hpsum tool requires net-tools utility to be part of the image for it to succeed.
hpusum fails when it tries to execute 'ifconfig lo' command.

Need to add net-tools as a dependencies package to be installed in image when proliant-tools is added as element for redhat based images.

Changed in diskimage-builder:
assignee: nobody → Anshul Jain (theanshuljain)

Fix proposed to branch: master
Review: https://review.openstack.org/548154

Changed in diskimage-builder:
status: New → In Progress

Reviewed: https://review.openstack.org/548154
Committed: https://git.openstack.org/cgit/openstack/diskimage-builder/commit/?id=a7135a0d8f0c06f7ef57f5124261742b290b37e8
Submitter: Zuul
Branch: master

commit a7135a0d8f0c06f7ef57f5124261742b290b37e8
Author: Anshul Jain <email address hidden>
Date: Tue Feb 27 00:19:43 2018 -0600

    proliant-tools: add net-tools package to support hpsum utility

    Hpsum utiltity of proliant-tools requires net-tools to be installed
    as part of base image. This commit adds support for installation of
    net-tools for all distros.

    Change-Id: I2a1e81059ed1aee975db78cfa5e61bbf1b98e06f
    Closes-bug: 1751777

Changed in diskimage-builder:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers